Bug 16987 - password synchronization seems does not work
password synchronization seems does not work
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-26 13:19 EDT by mal
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-25 14:53:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mal 2000-08-26 13:19:36 EDT
The setting in smb.conf

passwd chat debug = Yes
  unix password sync = Yes
  passwd program = /usr/bin/passwd %u
  passwd chat = *New*UNIX*password* %n\n *ReType*new*UNIX*password* %n\n
*passwd:*all*authentication*tokens*updated*successfully*

does not have affect on changing passwords.
samba soes not synchronize passwords with UNIX.
The log when running smbpasswd as root:
load_unicode_map: loading unicode map for codepage 850.
added interface ip=127.0.0.1 bcast=127.255.255.255 nmask=255.0.0.0
added interface ip=192.168.10.1 bcast=192.168.10.255 nmask=255.255.255.0
New SMB password:
Retype new SMB password:
startsmbfilepwent_internal: opening file /etc/samba/smbpasswd
search by name: john
startsmbfilepwent_internal: opening file /etc/samba/smbpasswd
getsmbfilepwent: skipping comment or blank line
getsmbfilepwent: returning passwd entry for user john, uid 500
found by name: john
endsmbfilepwent_internal: closed password file.
mod_smbfilepwd_entry: opening file /etc/samba/smbpasswd
mod_smbfilepwd_entry: skipping comment or blank line
mod_smbfilepwd_entry: entry exists
endsmbfilepwent_internal: closed password file.
search by name: john
startsmbfilepwent_internal: opening file /etc/samba/smbpasswd
getsmbfilepwent: skipping comment or blank line
getsmbfilepwent: returning passwd entry for user john, uid 500
found by name: john
endsmbfilepwent_internal: closed password file.
Password changed for user john.
[root@clienthost /root]# 

When doing smbpasswd as non-root it also does not work,
now it prints messages logs.
(note bogus lengths in messages)
---- SMBPASSWD is OK
smbpasswd
Old SMB password:
New SMB password:
Retype new SMB password:
Password changed for user john

incorrect data in log:
cat /var/log/samba/clienthost.log 
[2000/08/26 13:22:32, 0] smbd/chgpasswd.c:check_oem_password(693)
  check_oem_password: incorrect password length (-1704156024).
Comment 1 Trond Eivind Glomsrxd 2001-06-21 19:29:36 EDT
Is this still a problem with our errata packages?
Comment 2 mal 2001-06-22 16:28:52 EDT
Same thing with samba-2.0.8-1.7

In samba log (when doing smbpasswd as non-root) I have:

2001/06/22 16:05:23, 0] smbd/chgpasswd.c:check_oem_password(693)
  check_oem_password: incorrect password length (1586335196).
Comment 3 Trond Eivind Glomsrxd 2001-06-22 16:31:45 EDT
How long is the password you're trying to set? Could you try something between 6
and 8 characters?
Comment 4 mal 2001-06-22 16:41:40 EDT
I tried 7 symbols with all UNIX requirements.
On screen I have:

smbpasswd
Old SMB password:
New SMB password:
Retype new SMB password:
machine 127.0.0.1 rejected the password change: Error was : The specified
password is invalid.
Failed to change password for mal2

In log I have:

[2001/06/22 16:18:12, 0] smbd/chgpasswd.c:check_oem_password(693)
  check_oem_password: incorrect password length (1586335196).

(check wrong length in log)

It also does not work when I do as root smbpassw user
but the messages are different
Comment 5 giulioo 2001-06-25 14:53:37 EDT
You can see the effect of "passwd chat debug = Yes" with "log level = 100" only.
So you could try setting log level to 100 and changing password. In the log you 
should see the entire "chat" (then reset log to appropriate level so that you 
don't fill the partition).

Also, try "-r netbios-machine-name" even if you are on the same machine if you 
get errors about 127.0.0.1.
Comment 6 Trond Eivind Glomsrxd 2001-08-08 23:01:33 EDT
Fixed in 2.2.1a-3

Note You need to log in before you can comment on or make changes to this bug.